> ## Documentation Index
> Fetch the complete documentation index at: https://developers.telnyx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List your voice channels for non-US zones

> Returns the non-US voice channels for your account. voice channels allow you to use Channel Billing for calls to your Telnyx phone numbers. Please check the <a href="https://support.telnyx.com/en/articles/8428806-global-channel-billing">Telnyx Support Articles</a> section for full information and examples of how to utilize Channel Billing.



## OpenAPI

````yaml https://telnyx-openapi-ng.s3.us-east-1.amazonaws.com/numbers-identity/voice-channels.yml get /channel_zones
openapi: 3.1.0
info:
  title: Telnyx Voice Channels API
  version: 2.0.0
  description: API for Voice Channels.
  contact:
    email: support@telnyx.com
servers:
  - url: https://api.telnyx.com/v2
security:
  - bearerAuth: []
paths:
  /channel_zones:
    get:
      tags:
        - Voice Channels
      summary: List your voice channels for non-US zones
      description: >-
        Returns the non-US voice channels for your account. voice channels allow
        you to use Channel Billing for calls to your Telnyx phone numbers.
        Please check the <a
        href="https://support.telnyx.com/en/articles/8428806-global-channel-billing">Telnyx
        Support Articles</a> section for full information and examples of how to
        utilize Channel Billing.
      operationId: GetChannelZones
      parameters:
        - $ref: '#/components/parameters/voice-channels_PageConsolidated'
      responses:
        '200':
          $ref: '#/components/responses/GetGcbChannelZonesRequestResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '404':
          description: Resource not found
      x-codeSamples:
        - lang: JavaScript
          source: >-
            import Telnyx from 'telnyx';


            const client = new Telnyx({
              apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
            });


            // Automatically fetches more pages as needed.

            for await (const channelZoneListResponse of
            client.channelZones.list()) {
              console.log(channelZoneListResponse.id);
            }
        - lang: Python
          source: |-
            import os
            from telnyx import Telnyx

            client = Telnyx(
                api_key=os.environ.get("TELNYX_API_KEY"),  # This is the default and can be omitted
            )
            page = client.channel_zones.list()
            page = page.data[0]
            print(page.id)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/team-telnyx/telnyx-go\"\n\t\"github.com/team-telnyx/telnyx-go/option\"\n)\n\nfunc main() {\n\tclient := telnyx.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tpage, err := client.ChannelZones.List(context.TODO(), telnyx.ChannelZoneListParams{})\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", page)\n}\n"
        - lang: Java
          source: |-
            package com.telnyx.sdk.example;

            import com.telnyx.sdk.client.TelnyxClient;
            import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
            import com.telnyx.sdk.models.channelzones.ChannelZoneListPage;
            import com.telnyx.sdk.models.channelzones.ChannelZoneListParams;

            public final class Main {
                private Main() {}

                public static void main(String[] args) {
                    TelnyxClient client = TelnyxOkHttpClient.fromEnv();

                    ChannelZoneListPage page = client.channelZones().list();
                }
            }
        - lang: Ruby
          source: |-
            require "telnyx"

            telnyx = Telnyx::Client.new(api_key: "My API Key")

            page = telnyx.channel_zones.list

            puts(page)
        - lang: CLI
          source: |-
            telnyx channel-zones list \
              --api-key 'My API Key'
components:
  parameters:
    voice-channels_PageConsolidated:
      name: page
      in: query
      style: deepObject
      explode: true
      description: >-
        Consolidated page parameter (deepObject style). Originally: page[size],
        page[number]
      schema:
        type: object
        properties:
          size:
            type: integer
            minimum: 1
            maximum: 250
            default: 20
            description: The size of the page
          number:
            type: integer
            minimum: 1
            default: 1
            description: The page number to load
  responses:
    GetGcbChannelZonesRequestResponse:
      description: A list of channel zones
      content:
        application/json:
          schema:
            type: object
            properties:
              data:
                type: array
                items:
                  $ref: '#/components/schemas/GcbChannelZone'
              meta:
                $ref: '#/components/schemas/PaginationMeta'
  schemas:
    GcbChannelZone:
      title: Channel zone object
      required:
        - record_type
        - countries
        - id
        - name
        - channels
      type: object
      properties:
        record_type:
          type: string
          enum:
            - channel_zone
          example: channel_zone
        countries:
          type: array
          items:
            type: string
          description: >-
            List of countries (in ISO 3166-2, capitalized) members of the
            billing channel zone
          example:
            - BE
            - EL
            - LT
            - PT
            - BG
            - ES
            - LU
            - RO
            - CZ
            - FR
            - HU
            - SI
            - DK
            - HR
            - MT
            - SK
            - DE
            - IT
            - NL
            - FI
            - EE
            - CY
            - AT
            - SE
            - IE
            - LV
            - PL
        id:
          type: string
          example: 1653e6a1-4bfd-4857-97c6-6a51e1c34477
        name:
          type: string
          example: Euro channel zone
        channels:
          type: integer
          format: int64
          example: 7
        created_at:
          type: string
          description: ISO 8601 formatted date of when the channel zone was created
          example: '2019-01-23T18:10:02.574Z'
        updated_at:
          type: string
          description: ISO 8601 formatted date of when the channel zone was updated
          example: '2019-01-23T18:10:02.574Z'
    PaginationMeta:
      type: object
      properties:
        total_pages:
          type: integer
          example: 3
        total_results:
          type: integer
          example: 55
        page_number:
          type: integer
          example: 2
        page_size:
          type: integer
          example: 25
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````